const { ipcRenderer } = require('electron');
const Requester = require('../requester');

class ElectronRequester extends Requester {

    constructor() {
        super();
    }
    
    onReady(callback) {
        callback();
    }

    request(req, data, callback) {
        // Listener for the event fired by the server when it finishes.
        ipcRenderer.once('s-' + req, (_, data) => {
            callback(data);
        });

        // Send the actual request.
        ipcRenderer.send(req, data);
    }
}

module.exports = ElectronRequester;