/**
 * Class saving the multi layout configuration for a Web instance in the local storage.
 */
class WebMultiLayoutSerializer {

    constructor() {
    }

    read() {
        let state = localStorage.getItem('multi-layout-config');
        if (state != null) {
            return JSON.parse(state);
        }
        return null;
    }

    write(state) {
        localStorage.setItem('multi-layout-config', state);
    }
}

module.exports = WebMultiLayoutSerializer;