class BackupModel {

    constructor(savables) {
        this._savables = savables;
    }

    /**
     * Converts the backup into a string.
     */
    stringify() {
        return JSON.stringify(this.save());
    }

    /**
     * Save all savables into an object.
     */
    save() {
        let config = new Object();

        for (let savable of this._savables) {
            savable.save(config);
        }

        return config;
    }

    /**
     * Restore a configuration.
     */
    restore(config) {
        for (let savable of this._savables) {
            savable.restore(config);
        }
    }
}

module.exports = BackupModel;