const Model = require('./model');

class ModeModel extends Model {
    constructor() {
        super();

        this._nomadConnection = false;
        this._nomadId = -1;
        this._spyMode = false;
    }

    set nomadConnection(value) { this._nomadConnection = value; }
    set nomadId(value) { this._nomadId = value; }
    set spyMode(value) { this._spyMode = value; } 

    get nomadConnection() { return this._nomadConnection; }
    get nomadId() { return this._nomadId; }
    get spyMode() { return this._spyMode; }

    toObject() {
        return {
            nomadConnection: this._nomadConnection,
            nomadId: this._nomadId,
            spyMode: this._spyMode
        };
    }

    /**
     * Save the model data into a config object (the saver object).
     */
    save(saver) {
        saver.state = this.toObject();
    }

    /**
     * Restore the model state saved in the saver object (the configuration object).
     */
    restore(saver) {
        this._nomadConnection = saver.state.nomadConnection,
        this._nomadId = saver.state.nomadId,
        this._spyMode = saver.state.spyMode;
    }
}

module.exports = new ModeModel();