//Load HTTP module

const express = require('express');
const session = require('express-session');
const WebSocket = require('ws');

const wss = new WebSocket.Server({ port: 8080 });
const app = express();

const { receiver, sender } = require('../context');

receiver.wss = wss;
sender.wss = wss;

app.use(session({ secret: 'keyboard cat', cookie: { maxAge: 60000 } }));
app.use('/static', express.static(__dirname + '/../../..'));

app.get('/', function (req, res) {
    /*if (req.session.login) {
        res.redirect(307, '/app');
    } else {
        res.sendFile('view/login.html', { root: __dirname });
    }*/
    res.sendFile('view/app.html', { root: __dirname });
});

app.get('/app', function (req, res) {
    res.sendFile('view/app.html', { root: __dirname });
    req.session.login = req.query.login;
});

app.listen(3000, function () {
    console.log('Application listening on port 3000');
});