const Sender = require('../sender');

class WebSender extends Sender {
    constructor() {
        super();

        this._ws = null;
    }

    set wss(value) { 
        this._wss = value; 
        this._wss.on('connection', (ws) => {
            this._ws = ws;
        });

        this._wss.onclose = (event) => {
            console.log('Web sender socket has closed');
        };

        this._wss.onerror = (event) => {
            console.log('Web sender socket is on error: ', event);
        };
    }

    send(req, data) {
        
        // Do nothing if there is no connection
        if(this._ws === null)
            return;

        let param = {
            event: req,
            data: data
        };

        this._ws.send(JSON.stringify(param));
    }
}

module.exports = WebSender;
